Bug 57982 - vipw does not process after exiting passwd
vipw does not process after exiting passwd
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-01-04 07:31 EST by Ton Kersten
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-07 15:42:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ton Kersten 2002-01-04 07:31:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
When using 'vipw' to edit the password file (/etc/passwd) the man page
states that vipw should do the necessary processing after the password file
is unlocked.

However, when I do a vipw and add a user, after exiting this user 
isn't known in the /etc/shadow file and therefor setting a passwd isn't
working and the user won't be able to login.

Using useradd works.

Version-Release number of selected component (if applicable):
vipw 1.4 from util-linux-2.11f-9

How reproducible:

Steps to Reproduce:
1.Use vipw to edit the passwd file
2.Add a user
3.Check the /etc/shadow file. The new user isn't there

Actual Results:  User is defined in the passwd file, but not in the other
files, resulting in a non working userid.

Expected Results:  The user should be defined in /etc/shadow, /etc/groups
(if needed)
I should end up with a normal working userid
No /home/<userid>, /home/<userid>/<skeleton files> is fine, but not in the
shadow file is not very handy.

Additional info:
Comment 1 Elliot Lee 2002-01-04 16:48:25 EST
vipw is supposed to let you edit /etc/shadow as well as /etc/passwd, but nothing
more. Does it not even do the edit?
Comment 2 Ton Kersten 2002-01-07 03:04:30 EST
Yes it does. I can do the edit, but normally (as under Solaris and FreeBSD)
after editing the /etc/passwd file the new user is automatically added to the
shadow file. This is what the man-page says that it should do, but it doesn't
under RH7.2.
Comment 3 Ben Levenson 2002-01-07 15:41:56 EST
upgrade to the errata RPM -- util-linux-2.11f-17
running vipw w/ this RPM should prompt you to edit /etc/shadow.
if necessary, vigr can then be run to edit /etc/group and /etc/gshadow. 
Comment 4 Elliot Lee 2002-01-07 15:50:44 EST
The reporter is already aware of that ability - he is saying that he thinks the
/etc/shadow entry should be automatically entered. I think the reason for this
is because Solaris does it and he assumes that "necessary processing" should
include adding /etc/shadow entries.

I disagree (because I can conceive of a case where I would not want the
/etc/shadow entry to be added, and because useradd is the appropriate tool to
use if you want automatic processing type of stuff), so am marking it WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.